[lsb-discuss] Minor queries on the LSB 4.0 SDK

Dallman, John john.dallman at siemens.com
Tue Apr 28 06:52:21 PDT 2009


I'm trying this out and setting up infrastructure around it on SLES11 
on x64-64. A couple of details:

The README file for lsb-build-cc says:

> lsb-build-cc is Copyright 2007, Linux Foundation, and distributed
> under the terms of the BSD Licence. See the Licence file for details.

The License file, of course, contains the Linux Foundation BSD-style
license, but this doesn't actually mention BSD. This could be quite
confusing for people new to free software licenses. Some rephrasing 
of the README along the lines of:

"lsb-build-cc is Copyright 2007, Linux Foundation, and distributed
under the terms of the Linux Foundation Licence, which is very 
similar to the BSD License. See the Licence file for details."

Second, the lsbc++ and lsbcc compiler wrappers emit a warning every 
time they are run on SLES11:

    Warning: gcc version "4.3" may have problems for LSB builds

Is there actually a problem? I have LSBCC_WARN=1, os as to get warnings
on static libraries, and LSBCC_SHAREDLIBS set, but no other LSBCC
environment variables. 

thanks,

-- 
John Dallman
Parasolid Porting Engineer

Siemens PLM Software
46 Regent Street, Cambridge, CB2 1DP
United Kingdom
Tel: +44-1223-371554
john.dallman at siemens.com
www.siemens.com/plm



More information about the lsb-discuss mailing list